PMLOGPASTE(1)

NAME
pmlogpaste - paste text into a metric in a PCP archive

SYNOPSIS
pmlogpaste [-?] [-f file] [-h hostname] [-l label] [-m metric] [-o outfile] [-t timezone]

DESCRIPTION
pmlogpaste takes input text from a file or the command line, and writes it as a metric value in a new PCP archive. This metric value is timestamped with the current time, and is stored as a string type metric.

The main purpose of this tool is to take captured output and preserve this in a PCP archive. This allows, for example, the output of a benchmark run to be stored along with performance metrics captured during that run, in a single archive. Archives can be merged using the pmlogextract(1) utility.

pmlogpaste uses the LOGIMPORT(3) library interfaces internally, which support the creation of archives from external sources of performance data.

OPTIONS
The available command line options are:

-f file, --file=file
    File with input text to be archived, or ``-'' for standard input.

-h hostname, --hostname=hostname
    Source host name for the archive. The default value is the local host name, or ``localhost'' if that cannot be obtained.

-l label, --label=label
    Add context labels to the generated archive. This option can be presented multiple times to produce multiple labels in the archive. The label should be in the form name:value.

-m metric, --metric=metric
    Metric name for the archive. The default metric name is paste.value.

-o outfile, --outfile=outfile
    Archive output file. The default archive name is paste.

-t timezone, --timezone=timezone
    Source timezone for the archive archive. The default value is the local timezone.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pmlogextract(1) and LOGIMPORT(3).